package com.demo;

import java.awt.Color;

import org.jfree.chart.ChartPanel;
import org.jfree.chart.JFreeChart;
import org.jfree.chart.ChartFactory;
import org.jfree.chart.axis.Axis;
import org.jfree.chart.axis.NumberAxis;
import org.jfree.chart.axis.AxisLocation;
import org.jfree.chart.plot.CategoryPlot;
import org.jfree.chart.plot.PlotOrientation;
import org.jfree.data.category.CategoryDataset;
import org.jfree.ui.ApplicationFrame;
import org.jfree.ui.RectangleInsets;
import org.jfree.ui.RefineryUtilities;

public class BarChartHorizontal extends ApplicationFrame 
{
	private static final long serialVersionUID = 1L;

	private static final  String TITLE = "Bar Chart горизонтальный";
	
	public BarChartHorizontal(final String title)
	{
        super(title);
        CategoryDataset dataset    = Dataset.createDataset2();
        JFreeChart      chart      = createChart(dataset);
        ChartPanel      chartPanel = new ChartPanel(chart);
        chartPanel.setPreferredSize(new java.awt.Dimension(560, 360));
        setContentPane(chartPanel);

    }
    private JFreeChart createChart(final CategoryDataset dataset) {
        
        final JFreeChart chart = ChartFactory.createBarChart(
        		TITLE,                       // chart title
        		null      ,                  // domain axis label
        		"Score, %",                  // range axis label
        		dataset   ,                  // data
        		PlotOrientation.HORIZONTAL,  // orientation
        		true,                        // include legend
        		true,
        		false);

        chart.setBackgroundPaint(new Color(236, 236, 236));

        // get a reference to the plot for further customisation...
        CategoryPlot plot = chart.getCategoryPlot();
        plot.setBackgroundPaint    (new Color(248, 248, 248));
        // Определение отступа меток делений
        plot.setAxisOffset(new RectangleInsets (1.0, 1.0, 1.0, 1.0));

        plot.setRangeAxisLocation  (AxisLocation.BOTTOM_OR_LEFT);
        plot.setRangeGridlinePaint (Color       .lightGray     );
        
        // Определение цвета столбцов диаграммы
        plot.getRenderer().setSeriesPaint(0, new Color(  0,   0, 255));
        plot.getRenderer().setSeriesPaint(1, new Color( 75,  75, 255));
        plot.getRenderer().setSeriesPaint(2, new Color(150, 150, 255));

        // change the auto tick unit selection to integer units only...
        NumberAxis rangeAxis = (NumberAxis) plot.getRangeAxis();
        rangeAxis.setRange(0.0, 100.0);
        rangeAxis.setStandardTickUnits(NumberAxis.createIntegerTickUnits());
        
        // Удаляем из диаграммы осевые линии
        Axis axis = plot.getRangeAxis();
        axis.setAxisLineVisible(false);
        axis = plot.getDomainAxis();
        axis.setAxisLineVisible(false);
        
        return chart;
    }
    public static void main(final String[] args)
    {
        final BarChartHorizontal demo = new BarChartHorizontal(TITLE);
        demo.pack();
        RefineryUtilities.centerFrameOnScreen(demo);
        demo.setVisible(true);
    }
}
