package com.demo;

import java.awt.Color;

import org.jfree.chart.ChartPanel;
import org.jfree.chart.JFreeChart;
import org.jfree.chart.ChartFactory;

import org.jfree.chart.axis.Axis;
import org.jfree.chart.axis.NumberAxis;
import org.jfree.chart.axis.AxisLocation;

import org.jfree.chart.plot.CategoryPlot;
import org.jfree.chart.plot.PlotOrientation;

import org.jfree.ui.ApplicationFrame;
import org.jfree.ui.RefineryUtilities;

import org.jfree.data.category.CategoryDataset;

public class BarChartVertical extends ApplicationFrame 
{
	private static final long serialVersionUID = 1L;

	private static final  String TITLE = "Bar Chart вертикальный";
	
	public BarChartVertical(final String title) 
	{
        super(title);
        CategoryDataset dataset    = Dataset.createDataset2();
        JFreeChart      chart      = createChart(dataset);        
        ChartPanel      chartPanel = new ChartPanel(chart);
        
        chartPanel.setPreferredSize(new java.awt.Dimension(560, 320));
        setContentPane(chartPanel);
    }

    private JFreeChart createChart(final CategoryDataset dataset) {
        
        final JFreeChart chart = ChartFactory.createBarChart(
        		TITLE,                      // chart title
                null,                       // domain axis label
                "Значение, %",              // range axis label
                dataset,                    // data
                PlotOrientation.VERTICAL,   // orientation
                true,                       // include legend
                true,
                false);

        // Определение фона диаграммы
        chart.setBackgroundPaint(new Color(232, 224, 224));

        // Настройка plot'а
        final CategoryPlot plot = chart.getCategoryPlot();
        // Фон plot'a
        plot.setBackgroundPaint    (new Color(248, 248, 232));
        // Линии шкалы деления 
        plot.setRangeAxisLocation  (AxisLocation.BOTTOM_OR_LEFT);
        plot.setRangeGridlinePaint (Color       .lightGray     );
        
        // Настройка значений меток NumberAxis (только целочисленные значения)
        final NumberAxis rangeAxis = (NumberAxis) plot.getRangeAxis();
        rangeAxis.setRange(0.0, 100.0);
        rangeAxis.setStandardTickUnits(NumberAxis.createIntegerTickUnits());
        
        // Удаляем из диаграммы осевую линию и метки делений
        Axis axis = plot.getDomainAxis();
        axis.setAxisLineVisible(false);    // осевая линия
        axis.setTickMarksVisible(false);   // метки деления оси 
        
        return chart;
    }
    
    public static void main(final String[] args) {

        final BarChartVertical demo = new BarChartVertical(TITLE);
        demo.pack();
        RefineryUtilities.centerFrameOnScreen(demo);
        demo.setVisible(true);
    }	
}
