package com.demo;

import org.jfree.data.category.CategoryDataset;
import org.jfree.data.category.DefaultCategoryDataset;
import org.jfree.data.general.DatasetUtilities;

public class Dataset 
{
    private static final double[][] data = new double[][] {
    	     {12.0, 29.0, 36.0, 64.0, 58.0, 79.0, 70.0, 92.0},
             {49.0, 72.0, 74.0, 68.0, 88.0, 54.0, 38.0, 23.0},
             {41.0, 33.0, 22.0, 34.0, 62.0, 32.0, 42.0, 34.0}
    };

    public static CategoryDataset createDataset1()
    {
    	DefaultCategoryDataset dataset; 
        // row keys...
        final String series1 = "Чай"     ;
        final String series2 = "Кофе"    ;
        final String series3 = "Коктейль";

        // column keys...
        final String category1 = "Январь" ;
        final String category2 = "Февраль";
        final String category3 = "Март"   ;
        final String category4 = "Апрель" ;
        final String category5 = "Май"    ;

        dataset = new DefaultCategoryDataset();

        dataset.addValue(3.1, series1, category1);
        dataset.addValue(2.2, series1, category2);
        dataset.addValue(2.3, series1, category3);
        dataset.addValue(3.4, series1, category4);
        dataset.addValue(4.5, series1, category5);

        dataset.addValue(7.2, series2, category1);
        dataset.addValue(5.4, series2, category2);
        dataset.addValue(6.2, series2, category3);
        dataset.addValue(6.3, series2, category4);
        dataset.addValue(7.5, series2, category5);

        dataset.addValue(3.5, series3, category1);
        dataset.addValue(2.8, series3, category2);
        dataset.addValue(2.9, series3, category3);
        dataset.addValue(3.3, series3, category4);
        dataset.addValue(4.8, series3, category5);
        
        return dataset;        
    }    

    public static CategoryDataset createDataset2() { 
        return DatasetUtilities.createCategoryDataset("Series ", "Factor ", data);
    }    

    public static CategoryDataset createDataset3()
    {
        DefaultCategoryDataset result = new DefaultCategoryDataset();

        result.addValue(16.1, "Чай (Офис 1)"     , "Январь" );
        result.addValue(28.2, "Чай (Офис 1)"     , "Февраль");
        result.addValue(18.3, "Чай (Офис 1)"     , "Март"   );
        result.addValue(17.4, "Чай (Офис 2)"     , "Январь" );
        result.addValue(12.5, "Чай (Офис 2)"     , "Февраль");
        result.addValue(19.6, "Чай (Офис 2)"     , "Март"   );
        result.addValue(17.7, "Чай (Офис 3)"     , "Январь" );
        result.addValue(25.8, "Чай (Офис 3)"     , "Февраль");
        result.addValue(24.9, "Чай (Офис 3)"     , "Март"   );
        result.addValue(19.8, "Чай (Офис 4)"     , "Январь" );
        result.addValue(15.7, "Чай (Офис 4)"     , "Февраль");
        result.addValue(12.6, "Чай (Офис 4)"     , "Март"   );

        result.addValue(29.5, "Кофе (Офис 1)"    , "Январь" );
        result.addValue(27.4, "Кофе (Офис 1)"    , "Февраль");
        result.addValue(24.3, "Кофе (Офис 1)"    , "Март"   );
        result.addValue(23.2, "Кофе (Офис 2)"    , "Январь" );
        result.addValue(19.1, "Кофе (Офис 2)"    , "Февраль");
        result.addValue(18.0, "Кофе (Офис 2)"    , "Март"   );
        result.addValue(14.1, "Кофе (Офис 3)"    , "Январь" );
        result.addValue(24.2, "Кофе (Офис 3)"    , "Февраль");
        result.addValue(19.3, "Кофе (Офис 3)"    , "Март"   );
        result.addValue(26.4, "Кофе (Офис 4)"    , "Январь" );
        result.addValue(21.5, "Кофе (Офис 4)"    , "Февраль");
        result.addValue(12.6, "Кофе (Офис 4)"    , "Март"   );

        result.addValue(16.7, "Коктейль (Офис 1)", "Январь" );
        result.addValue(29.8, "Коктейль (Офис 1)", "Февраль");
        result.addValue(24.9, "Коктейль (Офис 1)", "Март"   );
        result.addValue(27.0, "Коктейль (Офис 2)", "Январь" );
        result.addValue(21.9, "Коктейль (Офис 2)", "Февраль");
        result.addValue(23.8, "Коктейль (Офис 2)", "Март"   );
        result.addValue(22.7, "Коктейль (Офис 3)", "Январь" );
        result.addValue(21.6, "Коктейль (Офис 3)", "Февраль");
        result.addValue(15.5, "Коктейль (Офис 3)", "Март"   );
        result.addValue(19.4, "Коктейль (Офис 4)", "Январь" );
        result.addValue(17.3, "Коктейль (Офис 4)", "Февраль");
        result.addValue(12.2, "Коктейль (Офис 4)", "Март"   );
        
        return result;
    }
}
